Package org.pushingpixels.substance.internal.painter

# Class SimplisticFillPainter

java.lang.Object
org.pushingpixels.substance.api.painter.fill.StandardFillPainter
org.pushingpixels.substance.internal.painter.SimplisticFillPainter

All Implemented Interfaces:
  `SubstanceFillPainter`, `SubstanceTrait`

Direct Known Subclasses:
  `SubstanceImageCreator.SimplisticSoftBorderReverseFillPainter`

public class SimplisticFillPainter extends StandardFillPainter
Fill painter that returns images with simplistic appearance. This class is for internal use only.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SimplisticFillPainter`
`INSTANCE`
Reusable instance of this painter.

## Constructor Summary

Constructors
Constructor
Description
`SimplisticFillPainter()`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBottomShineColor(SubstanceColorScheme fillScheme)`
Computes the color of the bottom portion of the shine.
`String`
`getDisplayName()`
Returns the display name of `this` trait.
`Color`
`getMidFillColorTop(SubstanceColorScheme fillScheme)`
Computes the color of the middle portion of the fill from the top.
`Color`
`getTopFillColor(SubstanceColorScheme fillScheme)`
Computes the color of the top portion of the fill.
`Color`
`getTopShineColor(SubstanceColorScheme fillScheme)`
Computes the color of the top portion of the shine.

### Methods inherited from class org.pushingpixels.substance.api.painter.fill.StandardFillPainter

`getBottomFillColor, getMidFillColorBottom, paintContourBackground`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final SimplisticFillPainter INSTANCE
Reusable instance of this painter.

## Constructor Details

### SimplisticFillPainter

public SimplisticFillPainter()

## Method Details

### getDisplayName

public String getDisplayName()
Description copied from interface: `SubstanceTrait`
Returns the display name of `this` trait. This method is part of officially supported API.

Specified by:
  `getDisplayName` in interface `SubstanceTrait`
Overrides:
  `getDisplayName` in class `StandardFillPainter`
Returns:
  The display name of `this` trait.

### getTopFillColor

public Color getTopFillColor(SubstanceColorScheme fillScheme)
Description copied from class: `StandardFillPainter`
Computes the color of the top portion of the fill. Override to provide different visual.

Overrides:
  `getTopFillColor` in class `StandardFillPainter`
Parameters:
  `fillScheme` - The fill scheme.
Returns:
  The color of the top portion of the fill.

### getMidFillColorTop

public Color getMidFillColorTop(SubstanceColorScheme fillScheme)
Description copied from class: `StandardFillPainter`
Computes the color of the middle portion of the fill from the top. Override to provide different visual.

Overrides:
  `getMidFillColorTop` in class `StandardFillPainter`
Parameters:
  `fillScheme` - The fill scheme.
Returns:
  The color of the middle portion of the fill from the top.

### getTopShineColor

public Color getTopShineColor(SubstanceColorScheme fillScheme)
Description copied from class: `StandardFillPainter`
Computes the color of the top portion of the shine. Override to provide different visual.

Overrides:
  `getTopShineColor` in class `StandardFillPainter`
Parameters:
  `fillScheme` - The fill scheme.
Returns:
  The color of the top portion of the shine.

### getBottomShineColor

public Color getBottomShineColor(SubstanceColorScheme fillScheme)
Description copied from class: `StandardFillPainter`
Computes the color of the bottom portion of the shine. Override to provide different visual.

Overrides:
  `getBottomShineColor` in class `StandardFillPainter`
Parameters:
  `fillScheme` - The fill scheme.
Returns:
  The color of the bottom portion of the shine.